Subject: Re: Out of Queue slots!
From: [email-masked] (William Greathouse)

1 Jul 1997 08:29:15 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
>Received: from iago by mailserv.smva.com (AIX 3.2/UCB 5.64/4.03)
          id AA27265; Tue, 1 Jul 1997 09: 47:49 -0400
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Larry Hall (RFK Partners Inc 617-239-1053) wrote:
> 
> At 12:43 PM 6/30/97 -0700, JP Shipherd wrote:
> >
> >Does anyone know what causes the error
> >
> >Out of Queue Slots!
> >
> 
> OK, this should really be in the FAQ (is it??).  I've answered this a
> few times for individuals of late but perhaps its time for another
> mass mailing!
> 
> "Out of queue slots!" generally occurs when you're trying to remove
> many files that you do not have permission to remove (either because
> you don't have permission, they are opened exclusively, etc).  What
> happens is gnuwin32 queues up these files with the supposition that it
> will be possible to delete these files in the future.  .......

It might be worth pointing out that this file will be removed "multiple"
times in the future also.  I have run in to the situation of trying to
"rm" an open file, and getting an error, followed it with "rm -f".
When the file was closed, it was immediately removed (as expected). 
But,
when I created the next instance of the file it was immediately removed
also!
Maybe there needs to be a check for multiple "unlink" requests, with the
first successful request removing the the remaining queued requests.
This is very confusing when it is an executable that keeps getting
deleted as soon as make finishes creating a new instance!

Enjoy,
Bill
--
William Greathouse                | [email-masked]  Email
SMV America, Engineering          | [email-masked]        Email
8380 Darrow Road                  | (216) 425-1340 x4006  Voice
Twinsburg, OH  44087              | (216) 405-7684        FAX

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".